#ifndef _COLOR_TABLE_SHACHAR
#define _COLOR_TABLE_SHACHAR


//inline void LoadGLColor(int index, unsigned char alpha = 255);
inline const unsigned char * GetColorFromTable(int index);

enum COLORNAMES {
    Snow=0,
	MyGreen,
    GhostWhite,
    WhiteSmoke,
    Gainsboro,
    FloralWhite,
    OldLace,
    Linen,
    AntiqueWhite,
    PapayaWhip,
    BlanchedAlmond,
    Bisque,
    PeachPuff,
    NavajoWhite,
    Moccasin,
    Cornsilk,
    Ivory,
    LemonChiffon,
    Seashell,
    Honeydew,
    MintCream,
    Azure,
    AliceBlue,
    lavender,
    LavenderBlush,
    MistyRose,
    White,
    Black,
    DarkSlateGray,
    DimGrey,
    SlateGrey,
    LightSlateGray,
    Grey,
    LightGray,
    MidnightBlue,
    NavyBlue,
    CornflowerBlue,
    DarkSlateBlue,
    SlateBlue,
    MediumSlateBlue,
    LightSlateBlue,
    MediumBlue,
    RoyalBlue,
    Blue,
    DodgerBlue,
    DeepSkyBlue,
    SkyBlue,
    LightSkyBlue,
    SteelBlue,
    LightSteelBlue,
    LightBlue,
    PowderBlue,
    PaleTurquoise,
    DarkTurquoise,
    MediumTurquoise,
    Turquoise,
    Cyan,
    LightCyan,
    CadetBlue,
    MediumAquamarine,
    Aquamarine,
    DarkGreen,
    DarkOliveGreen,
    DarkSeaGreen,
    SeaGreen,
    MediumSeaGreen,
    LightSeaGreen,
    PaleGreen,
    SpringGreen,
    LawnGreen,
    Green,
    Chartreuse,
    MedSpringGreen,
    GreenYellow,
    LimeGreen,
    YellowGreen,
    ForestGreen,
    OliveDrab,
    DarkKhaki,
    PaleGoldenrod,
    LtGoldenrodYello,
    LightYellow,
    Yellow,
    Gold,
    LightGoldenrod,
    Goldenrod,
    DarkGoldenrod,
    RosyBrown,
    IndianRed,
    SaddleBrown,
    Sienna,
    Peru,
    Burlywood,
    Beige,
    Wheat,
    SandyBrown,
    Tan,
    Chocolate,
    Firebrick,
    Brown,
    DarkSalmon,
    Salmon,
    LightSalmon,
    Orange,
    DarkOrange,
    Coral,
    LightCoral,
    Tomato,
    OrangeRed,
    Red,
    HotPink,
    DeepPink,
    Pink,
    LightPink,
    PaleVioletRed,
    Maroon,
    MediumVioletRed,
    VioletRed,
    Magenta,
    Violet,
    Plum,
    Orchid,
    MediumOrchid,
    DarkOrchid,
    DarkViolet,
    BlueViolet,
    Purple,
    MediumPurple,
    Thistle,
    Snow1,
    Snow2,
    Snow3,
    Snow4,
    Seashell1,
    Seashell2,
    Seashell3,
    Seashell4,
    AntiqueWhite1,
    AntiqueWhite2,
    AntiqueWhite3,
    AntiqueWhite4,
    Bisque1,
    Bisque2,
    Bisque3,
    Bisque4,
    PeachPuff1,
    PeachPuff2,
    PeachPuff3,
    PeachPuff4,
    NavajoWhite1,
    NavajoWhite2,
    NavajoWhite3,
    NavajoWhite4,
    LemonChiffon1,
    LemonChiffon2,
    LemonChiffon3,
    LemonChiffon4,
    Cornsilk1,
    Cornsilk2,
    Cornsilk3,
    Cornsilk4,
    Ivory1,
    Ivory2,
    Ivory3,
    Ivory4,
    Honeydew1,
    Honeydew2,
    Honeydew3,
    Honeydew4,
    LavenderBlush1,
    LavenderBlush2,
    LavenderBlush3,
    LavenderBlush4,
    MistyRose1,
    MistyRose2,
    MistyRose3,
    MistyRose4,
    Azure1,
    Azure2,
    Azure3,
    Azure4,
    SlateBlue1,
    SlateBlue2,
    SlateBlue3,
    SlateBlue4,
    RoyalBlue1,
    RoyalBlue2,
    RoyalBlue3,
    RoyalBlue4,
    Blue1,
    Blue2,
    Blue3,
    Blue4,
    DodgerBlue1,
    DodgerBlue2,
    DodgerBlue3,
    DodgerBlue4,
    SteelBlue1,
    SteelBlue2,
    SteelBlue3,
    SteelBlue4,
    DeepSkyBlue1,
    DeepSkyBlue2,
    DeepSkyBlue3,
    DeepSkyBlue4,
    SkyBlue1,
    SkyBlue2,
    SkyBlue3,
    SkyBlue4,
    LightSkyBlue1,
    LightSkyBlue2,
    LightSkyBlue3,
    LightSkyBlue4,
    SlateGray1,
    SlateGray2,
    SlateGray3,
    SlateGray4,
    LightSteelBlue1,
    LightSteelBlue2,
    LightSteelBlue3,
    LightSteelBlue4,
    LightBlue1,
    LightBlue2,
    LightBlue3,
    LightBlue4,
    LightCyan1,
    LightCyan2,
    LightCyan3,
    LightCyan4,
    PaleTurquoise1,
    PaleTurquoise2,
    PaleTurquoise3,
    PaleTurquoise4,
    CadetBlue1,
    CadetBlue2,
    CadetBlue3,
    CadetBlue4,
    Turquoise1,
    Turquoise2,
    Turquoise3,
    Turquoise4,
    Cyan1,
    Cyan2,
    Cyan3,
    Cyan4,
    DarkSlateGray1,
    DarkSlateGray2,
    DarkSlateGray3,
    DarkSlateGray4,
    Aquamarine1,
    Aquamarine2,
    Aquamarine3,
    Aquamarine4,
    DarkSeaGreen1,
    DarkSeaGreen2,
    DarkSeaGreen3,
    DarkSeaGreen4,
    SeaGreen1,
    SeaGreen2,
    SeaGreen3,
    SeaGreen4,
    PaleGreen1,
    PaleGreen2,
    PaleGreen3,
    PaleGreen4,
    SpringGreen1,
    SpringGreen2,
    SpringGreen3,
    SpringGreen4,
    Green1,
    Green2,
    Green3,
    Green4,
    Chartreuse1,
    Chartreuse2,
    Chartreuse3,
    Chartreuse4,
    OliveDrab1,
    OliveDrab2,
    OliveDrab3,
    OliveDrab4,
    DarkOliveGreen1,
    DarkOliveGreen2,
    DarkOliveGreen3,
    DarkOliveGreen4,
    Khaki1,
    Khaki2,
    Khaki3,
    Khaki4,
    LightGoldenrod1,
    LightGoldenrod2,
    LightGoldenrod3,
    LightGoldenrod4,
    LightYellow1,
    LightYellow2,
    LightYellow3,
    LightYellow4,
    Yellow1,
    Yellow2,
    Yellow3,
    Yellow4,
    Gold1,
    Gold2,
    Gold3,
    Gold4,
    Goldenrod1,
    Goldenrod2,
    Goldenrod3,
    Goldenrod4,
    DarkGoldenrod1,
    DarkGoldenrod2,
    DarkGoldenrod3,
    DarkGoldenrod4,
    RosyBrown1,
    RosyBrown2,
    RosyBrown3,
    RosyBrown4,
    IndianRed1,
    IndianRed2,
    IndianRed3,
    IndianRed4,
    Sienna1,
    Sienna2,
    Sienna3,
    Sienna4,
    Burlywood1,
    Burlywood2,
    Burlywood3,
    Burlywood4,
    Wheat1,
    Wheat2,
    Wheat3,
    Wheat4,
    Tan1,
    Tan2,
    Tan3,
    Tan4,
    Chocolate1,
    Chocolate2,
    Chocolate3,
    Chocolate4,
    Firebrick1,
    Firebrick2,
    Firebrick3,
    Firebrick4,
    Brown1,
    Brown2,
    Brown3,
    Brown4,
    Salmon1,
    Salmon2,
    Salmon3,
    Salmon4,
    LightSalmon1,
    LightSalmon2,
    LightSalmon3,
    LightSalmon4,
    Orange1,
    Orange2,
    Orange3,
    Orange4,
    DarkOrange1,
    DarkOrange2,
    DarkOrange3,
    DarkOrange4,
    Coral1,
    Coral2,
    Coral3,
    Coral4,
    Tomato1,
    Tomato2,
    Tomato3,
    Tomato4,
    OrangeRed1,
    OrangeRed2,
    OrangeRed3,
    OrangeRed4,
    Red1,
    Red2,
    Red3,
    Red4,
    DeepPink1,
    DeepPink2,
    DeepPink3,
    DeepPink4,
    HotPink1,
    HotPink2,
    HotPink3,
    HotPink4,
    Pink1,
    Pink2,
    Pink3,
    Pink4,
    LightPink1,
    LightPink2,
    LightPink3,
    LightPink4,
    PaleVioletRed1,
    PaleVioletRed2,
    PaleVioletRed3,
    PaleVioletRed4,
    Maroon1,
    Maroon2,
    Maroon3,
    Maroon4,
    VioletRed1,
    VioletRed2,
    VioletRed3,
    VioletRed4,
    Magenta1,
    Magenta2,
    Magenta3,
    Magenta4,
    Orchid1,
    Orchid2,
    Orchid3,
    Orchid4,
    Plum1,
    Plum2,
    Plum3,
    Plum4,
    MediumOrchid1,
    MediumOrchid2,
    MediumOrchid3,
    MediumOrchid4,
    DarkOrchid1,
    DarkOrchid2,
    DarkOrchid3,
    DarkOrchid4,
    Purple1,
    Purple2,
    Purple3,
    Purple4,
    MediumPurple1,
    MediumPurple2,
    MediumPurple3,
    MediumPurple4,
    Thistle1,
    Thistle2,
    Thistle3,
    Thistle4,
    grey11,
    grey21,
    grey31,
    grey41,
    grey51,
    grey61,
    grey71,
    gray81,
    gray91,
    DarkGrey,
    DarkBlue,
    DarkCyan,
    DarkMagenta,
    DarkRed,
    LightGreen
};


extern unsigned char ctable[][3]; 
extern int ncolors;

extern const char *cnames[];
/*
inline void LoadGLColor(int index, unsigned char alpha)
{
    if (alpha != 255)
    {
        unsigned char* c = ctable[index % ncolors];
        glColor4ub(c[0], c[1], c[2], alpha);
    }
    else
    {
        glColor3ubv(ctable[index % ncolors]);
    }
}
*/

inline const unsigned char * GetColorFromTable(int index)
{
	return (const unsigned char*)(ctable + (index % ncolors));
}

#endif // _COLOR_TABLE_SHACHAR
